/*
Title: Milestone 2 - Sampling
Name: ENTER YOUR NAME HERE
Date: 5 Jan 2015
*/


///////////////////////////
// Simple Random Sample  //
///////////////////////////


* Scenario 1: The principle chooses a simple random sample. m2_classSRS.dta
* contains data from 150 students selected randomly from across the entire school.
* Update the below line of code to open the dataset from your computer.
use "C:\Users\Owner\Dropbox\Work_main\t_surveyAnalysis\PopulationSurveyAnalysis-2015\m2_classSRS.dta", clear
	/*
	QUESTION 1: Which variable represents the unit of sampling?
	Answer: stud_id
	*/


* Make a histogram of the number of students by grade to examine the 
* distribution of students by grade.
histogram grade, discrete
	/*
	QUESTION 2: Do you think that the sample is representative? Please explain.
	Answer: Not really - the proportion of students sampled from grade in the
	sample is not equal to the proportion of students in each grade in the 
	population.
	*/


* 900 students is a small population which means we can apply a finite 
* population correction (fpc) to narrow the variance estimates. 
	/*
	QUESTION 3: Which of the following is the correct code to calculate the
	fpc? Run the correct line of code to generate fpc_students.
	HINT: See 3.3 Survey Analysis in Small Populations video/handout
	   a. generate fpc_students=150/900
	   b. generate fpc_students=900/150
	   c. generate fpc_students=150/30
	 Answer: a
	*/
generate fpc_students=150/900

* This study design does not include stratification, clustering, or 
* oversampling, therefore the sampling weights are the same for all individuals.
	/*
	QUESTION 4: Which of the following is the correct code to calculate the 
	sampling weight? Run the correct line of code to generate weight_students.
	HINT: See 3.2 Complex Sampling video/handout
	   a. generate weight_students=1/(150/900)
	   b. generate weight_students=1/(900/150)
	   c. generate weight_students=1/(30/150)
	 Answer: a
	*/
generate weight_students=1/(150/900)

* Suppose that you do not specify any features of the survey design when you 
* generate summary statistics.
mean height
	/*
	QUESTION 5: What is the mean height (and standard error) based on this sample?
	Answer: mean: 128.4, SE: 1.52 
	*/
 
* Now, analyze the data specifying the features of the survey design. The sampling 
* weight will have no impact on the results because it is the same for all students.
* However, notice how the finite population correction narrows the confidence
* interval.
svyset stud_id [pweight=weight_students], fpc(fpc_students)
svy: mean height  
	/* 
	QUESTION 6: What is the mean height (and standard error) based on this sample?
	Answer: mean: 128.4, SE: 1.39
	*/

* The design effect compares the variance estimate under one sample design
* to the variance estimate of a simple random sample. In this scenario, the
* design effect should be 1 because the sample design IS a simple random sample.
* However, confirm this by calculating the design effect.
estat effects, deff


////////////////////////
// Stratified Sample  //
////////////////////////


* Scenario 2: The principal collects the data using a stratified random sample, 
* where 5 students are randomly sampled from each class.  This data is contained 
* in the dataset m3_classStrat.dta. Update the below line of code to open the 
* dataset from your computer.
use "C:\Users\Owner\Dropbox\Work_main\t_surveyAnalysis\PopulationSurveyAnalysis-2015\m2_classStrat.dta", clear
	/*
	QUESTION 7: Which variable represents the unit of sampling?
	Answer: stud_id
	
	QUESTION 8: What are the stratifying units?
	Answer: grade
	*/

	
* Make a histogram of the number of students by grade to examine the 
* distribution of students by grade.
histogram grade, discrete
	/*
	QUESTION 9: Do you think that the sample is representative? Please explain.
	Answer: Yes - the proportion of students sampled from each grade matches
	the proportion of students in each grade in the population.
	*/


* 900 students is a small population which means we can apply a finite 
* population correction (fpc) to narrow the variance estimates. 
	/*
	QUESTION 10: Which of the following is the correct code to calculate the
	fpc? Run the correct line of code to generate fpc_students.
	HINT: See 3.3 Survey Analysis in Small Populations video/handout
	   a. generate fpc_students=150/900
	   b. generate fpc_students=5/30
	   c. generate fpc_students=30/5
	 Answer: b
	*/
generate fpc_students=5/30

* This study design does not include stratification, clustering, or 
* oversampling, therefore the sampling weights are the same for all individuals.
	/*
	QUESTION 11: Which of the following is the correct code to calculate the 
	sampling weight? Run the correct line of code to generate weight_students.
	HINT: See 3.2 Complex Sampling video/handout
	   a. generate weight_students=1/(150/900)
	   b. generate weight_students=1/(5/30)
	   c. generate weight_students=1/(30/5)
	 Answer: b
	*/
generate weight_students=1/(5/30)

* Suppose that you do not specify any features of the survey design when you 
* generate summary statistics. This is not correct.
mean height

* Or suppose that you only specifiy the finite population correction factor
* when you generate summary statistics. This is not correct.
svyset stud_id [pweight=weight_students], fpc(fpc_students)
svy: mean height
 
* Now, analyze the data specifying all features of the survey design including
* fpc and strata. Note that the sampling weights still have no impact on the 
* results because they are the same for all students, but it is still
* helpful to think through the exercise. Notice how stratification further
* reduces that confidence interval compared to both above estimates. 
svyset stud_id [pweight=weight_students], fpc(fpc_students) strata(classroom)
svy: mean height
	/* 
	QUESTION 12: What is the mean height (and standard error) based on this sample?
	Answer: mean: 130.47, SE: 0.78
	*/

* The design effect compares the variance estimate under one sample design
* to the variance estimate of a simple random sample. 
estat effects, deff
	/* 
	QUESTION 13: What is the design effect of this stratified sample design 
	on the measure of height?
	Answer: 0.31
	*/

