/*
Title: Milestone 5 - Analysis
Name: ENTER YOUR NAME HERE
Date: ENTER THE DATE HERE
*/

/// 1. Open the prepared analysis dataset, update this command for your computer
use "C:\Users\Owner\Dropbox\Work_main\p_rwanda_ipv\data\m5_dataset.dta", clear

/// 2. Describe the survey design in a svyset statement
svyset [pweight = weight], psu(psu) strata(district) 

/// 3. Calculate bivariate statistics (percent and 95% CI) for Table 1
*HINT: generate statistics for the subpopulation of couples
svy, subpop(couple): tab 			w_ipv, percent ci

svy, subpop(couple): tab w_age 		w_ipv, percent ci row
svy, subpop(couple): tab w_age 		w_ipv, count row

svy, subpop(couple): tab w_edu 		w_ipv, percent ci row
svy, subpop(couple): tab w_edu 		w_ipv, count row

svy, subpop(couple): tab w_emp 		w_ipv, percent ci row
svy, subpop(couple): tab w_emp 		w_ipv, count row

svy, subpop(couple): tab w_belief 	w_ipv, percent ci row
svy, subpop(couple): tab w_belief 	w_ipv, count row

svy, subpop(couple): tab w_radio 	w_ipv, percent ci row
svy, subpop(couple): tab w_radio 	w_ipv, count row

svy, subpop(couple): tab w_forced 	w_ipv, percent ci row
svy, subpop(couple): tab w_forced 	w_ipv, count row

svy, subpop(couple): tab h_age 		w_ipv, percent ci row
svy, subpop(couple): tab h_age 		w_ipv, count row

svy, subpop(couple): tab h_edu 		w_ipv, percent ci row
svy, subpop(couple): tab h_edu 		w_ipv, count row

svy, subpop(couple): tab h_emp 		w_ipv, percent ci row
svy, subpop(couple): tab h_emp 		w_ipv, count row

svy, subpop(couple): tab h_belief 	w_ipv, percent ci row
svy, subpop(couple): tab h_belief 	w_ipv, count row

svy, subpop(couple): tab h_radio 	w_ipv, percent ci row
svy, subpop(couple): tab h_radio 	w_ipv, count row

svy, subpop(couple): tab h_nonwife 	w_ipv, percent ci row
svy, subpop(couple): tab h_nonwife 	w_ipv, count row

svy, subpop(couple): tab hh_purch 	w_ipv, percent ci row
svy, subpop(couple): tab hh_purch 	w_ipv, count row

svy, subpop(couple): tab hh_poly 	w_ipv, percent ci row
svy, subpop(couple): tab hh_poly 	w_ipv, count row

svy, subpop(couple): tab hh_refuse 	w_ipv, percent ci row
svy, subpop(couple): tab hh_refuse 	w_ipv, count row

svy, subpop(couple): tab hh_wealth 	w_ipv, percent ci row
svy, subpop(couple): tab hh_wealth 	w_ipv, count row

svy, subpop(couple): tab hh_size 	w_ipv, percent ci row
svy, subpop(couple): tab hh_size 	w_ipv, count row

svy, subpop(couple): tab comm_res 	w_ipv, percent ci row
svy, subpop(couple): tab comm_res 	w_ipv, count row


		/*advanced code
		foreach var of varlist w_age w_edu w_emp w_belief w_radio w_forced ///
		h_age h_edu h_emp h_belief h_radio h_nonwife ///
		hh_purch hh_poly hh_refuse hh_wealth hh_size comm_res {
			tabout `var' w_ipv if couple==1 using "C:\Users\Owner\Dropbox\Work_main\p_rwanda_ipv\output\bivariate_v1.txt", ///
			c(row ci) f(1 1) clab(% CI) svy nwt(weight) pop percent stats(chi2) append
			}
		*/

/// 4. Make a note of variables associated with ipv at p<0.1

	/*
	w_age w_edu  w_belief w_radio w_forced ///
	h_edu h_emp h_belief h_nonwife ///
	hh_purch hh_poly hh_refuse hh_wealth comm_res
	*/

/// 5. Test for collinearity among remaining covariates r>0.5
*HINT: be sure you have installed the corr_svy command with the following code
findit corr_svy

corr_svy 	w_age w_edu  w_belief w_radio w_forced ///
	h_edu h_emp h_belief h_nonwife ///
	hh_purch hh_poly hh_refuse hh_wealth comm_res ///
	[pweight=weight], subpop(couple) psu(psu) strata(district)

/// 6. Are there any collinear variables? If so, use chi-square and Pearsons R
///    to decide which 1 variable to carry forward. If not, move to next step.

*no collinear pairs r>0.5


/// 7. Make note of non-collinear variables (r<0.5) associated with ipv at p<0.1

	/*
	w_age w_edu  w_belief w_radio w_forced ///
	h_edu h_emp h_belief h_nonwife ///
	hh_purch hh_poly hh_refuse hh_wealth comm_res ///
	*/

/// 8. Manual backward stepwise logistic regression (start with full model, end
///	 with reduced FINAL model)
*HINT: Variables should be ordered in the same way as Table 1

*Model 1 - full
	xi: svy, subpop(couple): logistic w_ipv  ///
	i.w_age		///
	i.w_edu  	///
	i.w_belief	///
	i.w_radio 	///
	i.w_forced 	///
	i.h_edu 	///
	i.h_emp 	///
	i.h_belief 	///
	i.h_nonwife ///
	i.hh_purch 	///
	i.hh_poly 	///
	i.hh_refuse ///
	i.hh_wealth ///
	i.comm_res 

	estimates store m_full
	*comm_res p=0.214. DROP

*Model 2
	xi: svy, subpop(couple): logistic w_ipv  ///
	i.w_age		///
	i.w_edu  	///
	i.w_belief	///
	i.w_radio 	///
	i.w_forced 	///
	i.h_edu 	///
	i.h_emp 	///
	i.h_belief 	///
	i.h_nonwife ///
	i.hh_purch 	///
	i.hh_poly 	///
	i.hh_refuse ///
	i.hh_wealth 

	*hh_wealth p=0.409. DROP

*Model 3
	xi: svy, subpop(couple): logistic w_ipv  ///
	i.w_age		///
	i.w_edu  	///
	i.w_belief	///
	i.w_radio 	///
	i.w_forced 	///
	i.h_edu 	///
	i.h_emp 	///
	i.h_belief 	///
	i.h_nonwife ///
	i.hh_purch 	///
	i.hh_poly 	///
	i.hh_refuse 
	
	*hh_refuse p=0.081. DROP

*Model 4
	xi: svy, subpop(couple): logistic w_ipv  ///
	i.w_age		///
	i.w_edu  	///
	i.w_belief	///
	i.w_radio 	///
	i.w_forced 	///
	i.h_edu 	///
	i.h_emp 	///
	i.h_belief 	///
	i.h_nonwife ///
	i.hh_purch 	///
	i.hh_poly 	
	
	*hh_poly p=0.007. KEEP
	*hh_purch p<0.0001. KEEP
	test _Ihh_purch_2 _Ihh_purch_3
	*h_nonwife p<0.0001. KEEP
	*h_belief p=0.140. DROP

*Model 5
	xi: svy, subpop(couple): logistic w_ipv  ///
	i.w_age		///
	i.w_edu  	///
	i.w_belief	///
	i.w_radio 	///
	i.w_forced 	///
	i.h_edu 	///
	i.h_emp 	///
	i.h_nonwife ///
	i.hh_purch 	///
	i.hh_poly 	
	
	*hh_poly p=0.006. KEEP
	*hh_purch p<0.0001. KEEP
	test _Ihh_purch_2 _Ihh_purch_3
	*h_nonwife p<0.0001. KEEP
	*h_emp p=0.606. DROP
	
*Model 6
	xi: svy, subpop(couple): logistic w_ipv  ///
	i.w_age		///
	i.w_edu  	///
	i.w_belief	///
	i.w_radio 	///
	i.w_forced 	///
	i.h_edu 	///
	i.h_nonwife ///
	i.hh_purch 	///
	i.hh_poly 	
	
	*hh_poly p=0.006. KEEP
	*hh_purch p<0.0001. KEEP
	test _Ihh_purch_2 _Ihh_purch_3
	*h_nonwife p<0.0001. KEEP
	*h_edu p=0.107. DROP

*Model 7 - FINAL
	xi: svy, subpop(couple): logistic w_ipv  ///
	i.w_age		///
	i.w_edu  	///
	i.w_belief	///
	i.w_radio 	///
	i.w_forced 	///
	i.h_nonwife ///
	i.hh_purch 	///
	i.hh_poly 	
	
	*hh_poly p=0.005. KEEP
	*hh_purch p<0.0001. KEEP
	test _Ihh_purch_2 _Ihh_purch_3
	*h_nonwife p<0.0001. KEEP
	*w_forced p<0.0001. KEEP
	*w_radio p=0.043. KEEP
	*w_belief p=0.025. KEEP
	*w_edu p=0.030. KEEP
	*w_age p=0.0001. KEEP
	test _Iw_age_2 _Iw_age_3
	estimates store m_reduced
	
	
*Output logistic regression results - advanced code
esttab m_full m_reduced using ///
"C:\Users\Owner\Dropbox\Work_main\p_rwanda_ipv\output\multivariate_v1.csv", ///
eform cells("b(label(OR) fmt(a2)) ci_l(label(low) fmt(2)) ci_u(label(up) fmt(2))") ///
	 label mtitles drop(_cons) replace

